"Fossies" - the Fresh Open Source Software Archive

Member "hermes-1.9/Makefile.in" (9 Sep 2014, 23999 Bytes) of package /linux/privat/hermes-1.9.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.8_vs_1.9.

    1 # Makefile.in generated by automake 1.13.4 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
   18 am__make_running_with_option = \
   19   case $${target_option-} in \
   20       ?) ;; \
   21       *) echo "am__make_running_with_option: internal error: invalid" \
   22               "target option '$${target_option-}' specified" >&2; \
   23          exit 1;; \
   24   esac; \
   25   has_opt=no; \
   26   sane_makeflags=$$MAKEFLAGS; \
   27   if $(am__is_gnu_make); then \
   28     sane_makeflags=$$MFLAGS; \
   29   else \
   30     case $$MAKEFLAGS in \
   31       *\\[\ \	]*) \
   32         bs=\\; \
   33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   34           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   35     esac; \
   36   fi; \
   37   skip_next=no; \
   38   strip_trailopt () \
   39   { \
   40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   41   }; \
   42   for flg in $$sane_makeflags; do \
   43     test $$skip_next = yes && { skip_next=no; continue; }; \
   44     case $$flg in \
   45       *=*|--*) continue;; \
   46         -*I) strip_trailopt 'I'; skip_next=yes;; \
   47       -*I?*) strip_trailopt 'I';; \
   48         -*O) strip_trailopt 'O'; skip_next=yes;; \
   49       -*O?*) strip_trailopt 'O';; \
   50         -*l) strip_trailopt 'l'; skip_next=yes;; \
   51       -*l?*) strip_trailopt 'l';; \
   52       -[dEDm]) skip_next=yes;; \
   53       -[JT]) skip_next=yes;; \
   54     esac; \
   55     case $$flg in \
   56       *$$target_option*) has_opt=yes; break;; \
   57     esac; \
   58   done; \
   59   test $$has_opt = yes
   60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   62 pkgdatadir = $(datadir)/@PACKAGE@
   63 pkgincludedir = $(includedir)/@PACKAGE@
   64 pkglibdir = $(libdir)/@PACKAGE@
   65 pkglibexecdir = $(libexecdir)/@PACKAGE@
   66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   67 install_sh_DATA = $(install_sh) -c -m 644
   68 install_sh_PROGRAM = $(install_sh) -c
   69 install_sh_SCRIPT = $(install_sh) -c
   70 INSTALL_HEADER = $(INSTALL_DATA)
   71 transform = $(program_transform_name)
   72 NORMAL_INSTALL = :
   73 PRE_INSTALL = :
   74 POST_INSTALL = :
   75 NORMAL_UNINSTALL = :
   76 PRE_UNINSTALL = :
   77 POST_UNINSTALL = :
   78 subdir = .
   79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   80 	$(top_srcdir)/configure $(am__configure_deps) \
   81 	$(srcdir)/config.h.in AUTHORS ChangeLog README TODO depcomp \
   82 	install-sh missing
   83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   84 am__aclocal_m4_deps = $(top_srcdir)/configure.in
   85 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   86 	$(ACLOCAL_M4)
   87 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   88  configure.lineno config.status.lineno
   89 mkinstalldirs = $(install_sh) -d
   90 CONFIG_HEADER = config.h
   91 CONFIG_CLEAN_FILES =
   92 CONFIG_CLEAN_VPATH_FILES =
   93 AM_V_P = $(am__v_P_@AM_V@)
   94 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
   95 am__v_P_0 = false
   96 am__v_P_1 = :
   97 AM_V_GEN = $(am__v_GEN_@AM_V@)
   98 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
   99 am__v_GEN_0 = @echo "  GEN     " $@;
  100 am__v_GEN_1 = 
  101 AM_V_at = $(am__v_at_@AM_V@)
  102 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  103 am__v_at_0 = @
  104 am__v_at_1 = 
  105 SOURCES =
  106 DIST_SOURCES =
  107 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  108 	ctags-recursive dvi-recursive html-recursive info-recursive \
  109 	install-data-recursive install-dvi-recursive \
  110 	install-exec-recursive install-html-recursive \
  111 	install-info-recursive install-pdf-recursive \
  112 	install-ps-recursive install-recursive installcheck-recursive \
  113 	installdirs-recursive pdf-recursive ps-recursive \
  114 	tags-recursive uninstall-recursive
  115 am__can_run_installinfo = \
  116   case $$AM_UPDATE_INFO_DIR in \
  117     n|no|NO) false;; \
  118     *) (install-info --version) >/dev/null 2>&1;; \
  119   esac
  120 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  121   distclean-recursive maintainer-clean-recursive
  122 am__recursive_targets = \
  123   $(RECURSIVE_TARGETS) \
  124   $(RECURSIVE_CLEAN_TARGETS) \
  125   $(am__extra_recursive_targets)
  126 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  127 	cscope distdir dist dist-all distcheck
  128 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  129 	$(LISP)config.h.in
  130 # Read a list of newline-separated strings from the standard input,
  131 # and print each of them once, without duplicates.  Input order is
  132 # *not* preserved.
  133 am__uniquify_input = $(AWK) '\
  134   BEGIN { nonempty = 0; } \
  135   { items[$$0] = 1; nonempty = 1; } \
  136   END { if (nonempty) { for (i in items) print i; }; } \
  137 '
  138 # Make sure the list of sources is unique.  This is necessary because,
  139 # e.g., the same source file might be shared among _SOURCES variables
  140 # for different programs/libraries.
  141 am__define_uniq_tagged_files = \
  142   list='$(am__tagged_files)'; \
  143   unique=`for i in $$list; do \
  144     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  145   done | $(am__uniquify_input)`
  146 ETAGS = etags
  147 CTAGS = ctags
  148 CSCOPE = cscope
  149 DIST_SUBDIRS = $(SUBDIRS)
  150 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  151 distdir = $(PACKAGE)-$(VERSION)
  152 top_distdir = $(distdir)
  153 am__remove_distdir = \
  154   if test -d "$(distdir)"; then \
  155     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  156       && rm -rf "$(distdir)" \
  157       || { sleep 5 && rm -rf "$(distdir)"; }; \
  158   else :; fi
  159 am__post_remove_distdir = $(am__remove_distdir)
  160 am__relativize = \
  161   dir0=`pwd`; \
  162   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  163   sed_rest='s,^[^/]*/*,,'; \
  164   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  165   sed_butlast='s,/*[^/]*$$,,'; \
  166   while test -n "$$dir1"; do \
  167     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  168     if test "$$first" != "."; then \
  169       if test "$$first" = ".."; then \
  170         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  171         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  172       else \
  173         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  174         if test "$$first2" = "$$first"; then \
  175           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  176         else \
  177           dir2="../$$dir2"; \
  178         fi; \
  179         dir0="$$dir0"/"$$first"; \
  180       fi; \
  181     fi; \
  182     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  183   done; \
  184   reldir="$$dir2"
  185 DIST_ARCHIVES = $(distdir).tar.gz
  186 GZIP_ENV = --best
  187 DIST_TARGETS = dist-gzip
  188 distuninstallcheck_listfiles = find . -type f -print
  189 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  190   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  191 distcleancheck_listfiles = find . -type f -print
  192 ACLOCAL = @ACLOCAL@
  193 AMTAR = @AMTAR@
  194 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  195 AUTOCONF = @AUTOCONF@
  196 AUTOHEADER = @AUTOHEADER@
  197 AUTOMAKE = @AUTOMAKE@
  198 AWK = @AWK@
  199 CC = @CC@
  200 CCDEPMODE = @CCDEPMODE@
  201 CFLAGS = @CFLAGS@
  202 CPPFLAGS = @CPPFLAGS@
  203 CXX = @CXX@
  204 CXXDEPMODE = @CXXDEPMODE@
  205 CXXFLAGS = @CXXFLAGS@
  206 CYGPATH_W = @CYGPATH_W@
  207 DEFS = @DEFS@
  208 DEPDIR = @DEPDIR@
  209 ECHO_C = @ECHO_C@
  210 ECHO_N = @ECHO_N@
  211 ECHO_T = @ECHO_T@
  212 EXEEXT = @EXEEXT@
  213 INSTALL = @INSTALL@
  214 INSTALL_DATA = @INSTALL_DATA@
  215 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  216 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  217 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  218 LDFLAGS = @LDFLAGS@
  219 LIBOBJS = @LIBOBJS@
  220 LIBS = @LIBS@
  221 LTLIBOBJS = @LTLIBOBJS@
  222 MAKEINFO = @MAKEINFO@
  223 MKDIR_P = @MKDIR_P@
  224 OBJEXT = @OBJEXT@
  225 OpenSSL_CFLAGS = @OpenSSL_CFLAGS@
  226 OpenSSL_LIBS = @OpenSSL_LIBS@
  227 PACKAGE = @PACKAGE@
  228 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  229 PACKAGE_NAME = @PACKAGE_NAME@
  230 PACKAGE_STRING = @PACKAGE_STRING@
  231 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  232 PACKAGE_URL = @PACKAGE_URL@
  233 PACKAGE_VERSION = @PACKAGE_VERSION@
  234 PATH_SEPARATOR = @PATH_SEPARATOR@
  235 PKG_CONFIG = @PKG_CONFIG@
  236 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  237 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  238 SET_MAKE = @SET_MAKE@
  239 SHELL = @SHELL@
  240 SQLite3_CFLAGS = @SQLite3_CFLAGS@
  241 SQLite3_LIBS = @SQLite3_LIBS@
  242 STRIP = @STRIP@
  243 VERSION = @VERSION@
  244 abs_builddir = @abs_builddir@
  245 abs_srcdir = @abs_srcdir@
  246 abs_top_builddir = @abs_top_builddir@
  247 abs_top_srcdir = @abs_top_srcdir@
  248 ac_ct_CC = @ac_ct_CC@
  249 ac_ct_CXX = @ac_ct_CXX@
  250 am__include = @am__include@
  251 am__leading_dot = @am__leading_dot@
  252 am__quote = @am__quote@
  253 am__tar = @am__tar@
  254 am__untar = @am__untar@
  255 bindir = @bindir@
  256 build_alias = @build_alias@
  257 builddir = @builddir@
  258 datadir = @datadir@
  259 datarootdir = @datarootdir@
  260 docdir = @docdir@
  261 dvidir = @dvidir@
  262 exec_prefix = @exec_prefix@
  263 host_alias = @host_alias@
  264 htmldir = @htmldir@
  265 includedir = @includedir@
  266 infodir = @infodir@
  267 install_sh = @install_sh@
  268 libdir = @libdir@
  269 libexecdir = @libexecdir@
  270 localedir = @localedir@
  271 localstatedir = @localstatedir@
  272 mandir = @mandir@
  273 mkdir_p = @mkdir_p@
  274 oldincludedir = @oldincludedir@
  275 pdfdir = @pdfdir@
  276 prefix = @prefix@
  277 program_transform_name = @program_transform_name@
  278 psdir = @psdir@
  279 sbindir = @sbindir@
  280 sharedstatedir = @sharedstatedir@
  281 srcdir = @srcdir@
  282 sysconfdir = @sysconfdir@
  283 target_alias = @target_alias@
  284 top_build_prefix = @top_build_prefix@
  285 top_builddir = @top_builddir@
  286 top_srcdir = @top_srcdir@
  287 EXTRA_DIST = scripts/generate_config.pl ChangeLog TODO
  288 SUBDIRS = src docs dists
  289 all: config.h
  290 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  291 
  292 .SUFFIXES:
  293 am--refresh: Makefile
  294 	@:
  295 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  296 	@for dep in $?; do \
  297 	  case '$(am__configure_deps)' in \
  298 	    *$$dep*) \
  299 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  300 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  301 		&& exit 0; \
  302 	      exit 1;; \
  303 	  esac; \
  304 	done; \
  305 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  306 	$(am__cd) $(top_srcdir) && \
  307 	  $(AUTOMAKE) --foreign Makefile
  308 .PRECIOUS: Makefile
  309 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  310 	@case '$?' in \
  311 	  *config.status*) \
  312 	    echo ' $(SHELL) ./config.status'; \
  313 	    $(SHELL) ./config.status;; \
  314 	  *) \
  315 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  316 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  317 	esac;
  318 
  319 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  320 	$(SHELL) ./config.status --recheck
  321 
  322 $(top_srcdir)/configure:  $(am__configure_deps)
  323 	$(am__cd) $(srcdir) && $(AUTOCONF)
  324 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  325 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  326 $(am__aclocal_m4_deps):
  327 
  328 config.h: stamp-h1
  329 	@if test ! -f $@; then rm -f stamp-h1; else :; fi
  330 	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
  331 
  332 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  333 	@rm -f stamp-h1
  334 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  335 $(srcdir)/config.h.in:  $(am__configure_deps) 
  336 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  337 	rm -f stamp-h1
  338 	touch $@
  339 
  340 distclean-hdr:
  341 	-rm -f config.h stamp-h1
  342 
  343 # This directory's subdirectories are mostly independent; you can cd
  344 # into them and run 'make' without going through this Makefile.
  345 # To change the values of 'make' variables: instead of editing Makefiles,
  346 # (1) if the variable is set in 'config.status', edit 'config.status'
  347 #     (which will cause the Makefiles to be regenerated when you run 'make');
  348 # (2) otherwise, pass the desired values on the 'make' command line.
  349 $(am__recursive_targets):
  350 	@fail=; \
  351 	if $(am__make_keepgoing); then \
  352 	  failcom='fail=yes'; \
  353 	else \
  354 	  failcom='exit 1'; \
  355 	fi; \
  356 	dot_seen=no; \
  357 	target=`echo $@ | sed s/-recursive//`; \
  358 	case "$@" in \
  359 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  360 	  *) list='$(SUBDIRS)' ;; \
  361 	esac; \
  362 	for subdir in $$list; do \
  363 	  echo "Making $$target in $$subdir"; \
  364 	  if test "$$subdir" = "."; then \
  365 	    dot_seen=yes; \
  366 	    local_target="$$target-am"; \
  367 	  else \
  368 	    local_target="$$target"; \
  369 	  fi; \
  370 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  371 	  || eval $$failcom; \
  372 	done; \
  373 	if test "$$dot_seen" = "no"; then \
  374 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  375 	fi; test -z "$$fail"
  376 
  377 ID: $(am__tagged_files)
  378 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  379 tags: tags-recursive
  380 TAGS: tags
  381 
  382 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  383 	set x; \
  384 	here=`pwd`; \
  385 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  386 	  include_option=--etags-include; \
  387 	  empty_fix=.; \
  388 	else \
  389 	  include_option=--include; \
  390 	  empty_fix=; \
  391 	fi; \
  392 	list='$(SUBDIRS)'; for subdir in $$list; do \
  393 	  if test "$$subdir" = .; then :; else \
  394 	    test ! -f $$subdir/TAGS || \
  395 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  396 	  fi; \
  397 	done; \
  398 	$(am__define_uniq_tagged_files); \
  399 	shift; \
  400 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  401 	  test -n "$$unique" || unique=$$empty_fix; \
  402 	  if test $$# -gt 0; then \
  403 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  404 	      "$$@" $$unique; \
  405 	  else \
  406 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  407 	      $$unique; \
  408 	  fi; \
  409 	fi
  410 ctags: ctags-recursive
  411 
  412 CTAGS: ctags
  413 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  414 	$(am__define_uniq_tagged_files); \
  415 	test -z "$(CTAGS_ARGS)$$unique" \
  416 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  417 	     $$unique
  418 
  419 GTAGS:
  420 	here=`$(am__cd) $(top_builddir) && pwd` \
  421 	  && $(am__cd) $(top_srcdir) \
  422 	  && gtags -i $(GTAGS_ARGS) "$$here"
  423 cscope: cscope.files
  424 	test ! -s cscope.files \
  425 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  426 clean-cscope:
  427 	-rm -f cscope.files
  428 cscope.files: clean-cscope cscopelist
  429 cscopelist: cscopelist-recursive
  430 
  431 cscopelist-am: $(am__tagged_files)
  432 	list='$(am__tagged_files)'; \
  433 	case "$(srcdir)" in \
  434 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  435 	  *) sdir=$(subdir)/$(srcdir) ;; \
  436 	esac; \
  437 	for i in $$list; do \
  438 	  if test -f "$$i"; then \
  439 	    echo "$(subdir)/$$i"; \
  440 	  else \
  441 	    echo "$$sdir/$$i"; \
  442 	  fi; \
  443 	done >> $(top_builddir)/cscope.files
  444 
  445 distclean-tags:
  446 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  447 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  448 
  449 distdir: $(DISTFILES)
  450 	$(am__remove_distdir)
  451 	test -d "$(distdir)" || mkdir "$(distdir)"
  452 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  453 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  454 	list='$(DISTFILES)'; \
  455 	  dist_files=`for file in $$list; do echo $$file; done | \
  456 	  sed -e "s|^$$srcdirstrip/||;t" \
  457 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  458 	case $$dist_files in \
  459 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  460 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  461 			   sort -u` ;; \
  462 	esac; \
  463 	for file in $$dist_files; do \
  464 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  465 	  if test -d $$d/$$file; then \
  466 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  467 	    if test -d "$(distdir)/$$file"; then \
  468 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  469 	    fi; \
  470 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  471 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  472 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  473 	    fi; \
  474 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  475 	  else \
  476 	    test -f "$(distdir)/$$file" \
  477 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  478 	    || exit 1; \
  479 	  fi; \
  480 	done
  481 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  482 	  if test "$$subdir" = .; then :; else \
  483 	    $(am__make_dryrun) \
  484 	      || test -d "$(distdir)/$$subdir" \
  485 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  486 	      || exit 1; \
  487 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  488 	    $(am__relativize); \
  489 	    new_distdir=$$reldir; \
  490 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  491 	    $(am__relativize); \
  492 	    new_top_distdir=$$reldir; \
  493 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  494 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  495 	    ($(am__cd) $$subdir && \
  496 	      $(MAKE) $(AM_MAKEFLAGS) \
  497 	        top_distdir="$$new_top_distdir" \
  498 	        distdir="$$new_distdir" \
  499 		am__remove_distdir=: \
  500 		am__skip_length_check=: \
  501 		am__skip_mode_fix=: \
  502 	        distdir) \
  503 	      || exit 1; \
  504 	  fi; \
  505 	done
  506 	-test -n "$(am__skip_mode_fix)" \
  507 	|| find "$(distdir)" -type d ! -perm -755 \
  508 		-exec chmod u+rwx,go+rx {} \; -o \
  509 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  510 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  511 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  512 	|| chmod -R a+r "$(distdir)"
  513 dist-gzip: distdir
  514 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  515 	$(am__post_remove_distdir)
  516 
  517 dist-bzip2: distdir
  518 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  519 	$(am__post_remove_distdir)
  520 
  521 dist-lzip: distdir
  522 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  523 	$(am__post_remove_distdir)
  524 
  525 dist-xz: distdir
  526 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  527 	$(am__post_remove_distdir)
  528 
  529 dist-tarZ: distdir
  530 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  531 	$(am__post_remove_distdir)
  532 
  533 dist-shar: distdir
  534 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  535 	$(am__post_remove_distdir)
  536 
  537 dist-zip: distdir
  538 	-rm -f $(distdir).zip
  539 	zip -rq $(distdir).zip $(distdir)
  540 	$(am__post_remove_distdir)
  541 
  542 dist dist-all:
  543 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  544 	$(am__post_remove_distdir)
  545 
  546 # This target untars the dist file and tries a VPATH configuration.  Then
  547 # it guarantees that the distribution is self-contained by making another
  548 # tarfile.
  549 distcheck: dist
  550 	case '$(DIST_ARCHIVES)' in \
  551 	*.tar.gz*) \
  552 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  553 	*.tar.bz2*) \
  554 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  555 	*.tar.lz*) \
  556 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  557 	*.tar.xz*) \
  558 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  559 	*.tar.Z*) \
  560 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  561 	*.shar.gz*) \
  562 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  563 	*.zip*) \
  564 	  unzip $(distdir).zip ;;\
  565 	esac
  566 	chmod -R a-w $(distdir)
  567 	chmod u+w $(distdir)
  568 	mkdir $(distdir)/_build $(distdir)/_inst
  569 	chmod a-w $(distdir)
  570 	test -d $(distdir)/_build || exit 0; \
  571 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  572 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  573 	  && am__cwd=`pwd` \
  574 	  && $(am__cd) $(distdir)/_build \
  575 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  576 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  577 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  578 	  && $(MAKE) $(AM_MAKEFLAGS) \
  579 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  580 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  581 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  582 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  583 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  584 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  585 	        distuninstallcheck \
  586 	  && chmod -R a-w "$$dc_install_base" \
  587 	  && ({ \
  588 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  589 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  590 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  591 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  592 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  593 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  594 	  && rm -rf "$$dc_destdir" \
  595 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  596 	  && rm -rf $(DIST_ARCHIVES) \
  597 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  598 	  && cd "$$am__cwd" \
  599 	  || exit 1
  600 	$(am__post_remove_distdir)
  601 	@(echo "$(distdir) archives ready for distribution: "; \
  602 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  603 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  604 distuninstallcheck:
  605 	@test -n '$(distuninstallcheck_dir)' || { \
  606 	  echo 'ERROR: trying to run $@ with an empty' \
  607 	       '$$(distuninstallcheck_dir)' >&2; \
  608 	  exit 1; \
  609 	}; \
  610 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  611 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  612 	  exit 1; \
  613 	}; \
  614 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  615 	   || { echo "ERROR: files left after uninstall:" ; \
  616 	        if test -n "$(DESTDIR)"; then \
  617 	          echo "  (check DESTDIR support)"; \
  618 	        fi ; \
  619 	        $(distuninstallcheck_listfiles) ; \
  620 	        exit 1; } >&2
  621 distcleancheck: distclean
  622 	@if test '$(srcdir)' = . ; then \
  623 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  624 	  exit 1 ; \
  625 	fi
  626 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  627 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  628 	       $(distcleancheck_listfiles) ; \
  629 	       exit 1; } >&2
  630 check-am: all-am
  631 check: check-recursive
  632 all-am: Makefile config.h
  633 installdirs: installdirs-recursive
  634 installdirs-am:
  635 install: install-recursive
  636 install-exec: install-exec-recursive
  637 install-data: install-data-recursive
  638 uninstall: uninstall-recursive
  639 
  640 install-am: all-am
  641 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  642 
  643 installcheck: installcheck-recursive
  644 install-strip:
  645 	if test -z '$(STRIP)'; then \
  646 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  647 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  648 	      install; \
  649 	else \
  650 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  651 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  652 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  653 	fi
  654 mostlyclean-generic:
  655 
  656 clean-generic:
  657 
  658 distclean-generic:
  659 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  660 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  661 
  662 maintainer-clean-generic:
  663 	@echo "This command is intended for maintainers to use"
  664 	@echo "it deletes files that may require special tools to rebuild."
  665 clean: clean-recursive
  666 
  667 clean-am: clean-generic mostlyclean-am
  668 
  669 distclean: distclean-recursive
  670 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  671 	-rm -f Makefile
  672 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  673 
  674 dvi: dvi-recursive
  675 
  676 dvi-am:
  677 
  678 html: html-recursive
  679 
  680 html-am:
  681 
  682 info: info-recursive
  683 
  684 info-am:
  685 
  686 install-data-am:
  687 
  688 install-dvi: install-dvi-recursive
  689 
  690 install-dvi-am:
  691 
  692 install-exec-am:
  693 
  694 install-html: install-html-recursive
  695 
  696 install-html-am:
  697 
  698 install-info: install-info-recursive
  699 
  700 install-info-am:
  701 
  702 install-man:
  703 
  704 install-pdf: install-pdf-recursive
  705 
  706 install-pdf-am:
  707 
  708 install-ps: install-ps-recursive
  709 
  710 install-ps-am:
  711 
  712 installcheck-am:
  713 
  714 maintainer-clean: maintainer-clean-recursive
  715 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  716 	-rm -rf $(top_srcdir)/autom4te.cache
  717 	-rm -f Makefile
  718 maintainer-clean-am: distclean-am maintainer-clean-generic
  719 
  720 mostlyclean: mostlyclean-recursive
  721 
  722 mostlyclean-am: mostlyclean-generic
  723 
  724 pdf: pdf-recursive
  725 
  726 pdf-am:
  727 
  728 ps: ps-recursive
  729 
  730 ps-am:
  731 
  732 uninstall-am:
  733 
  734 .MAKE: $(am__recursive_targets) all install-am install-strip
  735 
  736 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  737 	am--refresh check check-am clean clean-cscope clean-generic \
  738 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  739 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  740 	distcheck distclean distclean-generic distclean-hdr \
  741 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
  742 	dvi-am html html-am info info-am install install-am \
  743 	install-data install-data-am install-dvi install-dvi-am \
  744 	install-exec install-exec-am install-html install-html-am \
  745 	install-info install-info-am install-man install-pdf \
  746 	install-pdf-am install-ps install-ps-am install-strip \
  747 	installcheck installcheck-am installdirs installdirs-am \
  748 	maintainer-clean maintainer-clean-generic mostlyclean \
  749 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  750 	uninstall-am
  751 
  752 
  753 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  754 # Otherwise a system limit (for SysV at least) may be exceeded.
  755 .NOEXPORT: